#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_s390_zcrypt_req, "", "");
KSYMTAB_FUNC(__traceiter_s390_zcrypt_req, "", "");
KSYMTAB_DATA(__SCK__tp_func_s390_zcrypt_req, "", "");
KSYMTAB_DATA(__tracepoint_s390_zcrypt_rep, "", "");
KSYMTAB_FUNC(__traceiter_s390_zcrypt_rep, "", "");
KSYMTAB_DATA(__SCK__tp_func_s390_zcrypt_rep, "", "");
KSYMTAB_FUNC(zcrypt_msgtype, "", "");
KSYMTAB_FUNC(zcrypt_send_cprb, "", "");
KSYMTAB_FUNC(zcrypt_send_ep11_cprb, "", "");
KSYMTAB_FUNC(zcrypt_device_status_mask_ext, "", "");
KSYMTAB_FUNC(zcrypt_device_status_ext, "", "");
KSYMTAB_FUNC(zcrypt_wait_api_operational, "", "");
KSYMTAB_FUNC(zcrypt_card_alloc, "", "");
KSYMTAB_FUNC(zcrypt_card_free, "", "");
KSYMTAB_FUNC(zcrypt_card_get, "", "");
KSYMTAB_FUNC(zcrypt_card_put, "", "");
KSYMTAB_FUNC(zcrypt_card_register, "", "");
KSYMTAB_FUNC(zcrypt_card_unregister, "", "");
KSYMTAB_FUNC(zcrypt_queue_alloc, "", "");
KSYMTAB_FUNC(zcrypt_queue_free, "", "");
KSYMTAB_FUNC(zcrypt_queue_get, "", "");
KSYMTAB_FUNC(zcrypt_queue_put, "", "");
KSYMTAB_FUNC(zcrypt_queue_register, "", "");
KSYMTAB_FUNC(zcrypt_queue_unregister, "", "");
KSYMTAB_FUNC(cca_check_secaeskeytoken, "", "");
KSYMTAB_FUNC(cca_check_secaescipherkey, "", "");
KSYMTAB_FUNC(cca_check_sececckeytoken, "", "");
KSYMTAB_FUNC(cca_genseckey, "", "");
KSYMTAB_FUNC(cca_clr2seckey, "", "");
KSYMTAB_FUNC(cca_sec2protkey, "", "");
KSYMTAB_FUNC(cca_gencipherkey, "", "");
KSYMTAB_FUNC(cca_clr2cipherkey, "", "");
KSYMTAB_FUNC(cca_cipher2protkey, "", "");
KSYMTAB_FUNC(cca_ecc2protkey, "", "");
KSYMTAB_FUNC(cca_query_crypto_facility, "", "");
KSYMTAB_FUNC(cca_get_info, "", "");
KSYMTAB_FUNC(cca_findcard, "", "");
KSYMTAB_FUNC(cca_findcard2, "", "");
KSYMTAB_FUNC(ep11_kb_wkvp, "", "");
KSYMTAB_FUNC(ep11_check_aes_key_with_hdr, "", "");
KSYMTAB_FUNC(ep11_check_ecc_key_with_hdr, "", "");
KSYMTAB_FUNC(ep11_check_aes_key, "", "");
KSYMTAB_FUNC(ep11_get_card_info, "", "");
KSYMTAB_FUNC(ep11_get_domain_info, "", "");
KSYMTAB_FUNC(ep11_genaeskey, "", "");
KSYMTAB_FUNC(ep11_clr2keyblob, "", "");
KSYMTAB_FUNC(ep11_kblob2protkey, "", "");
KSYMTAB_FUNC(ep11_findcard2, "", "");

SYMBOL_CRC(__tracepoint_s390_zcrypt_req, 0x128a80d1, "");
SYMBOL_CRC(__traceiter_s390_zcrypt_req, 0x85ca4e1d, "");
SYMBOL_CRC(__SCK__tp_func_s390_zcrypt_req, 0x17a7ba6e, "");
SYMBOL_CRC(__tracepoint_s390_zcrypt_rep, 0x0b91b190, "");
SYMBOL_CRC(__traceiter_s390_zcrypt_rep, 0x404502d2, "");
SYMBOL_CRC(__SCK__tp_func_s390_zcrypt_rep, 0x0ebc8b2f, "");
SYMBOL_CRC(zcrypt_msgtype, 0xa9f29e24, "");
SYMBOL_CRC(zcrypt_send_cprb, 0x0327b454, "");
SYMBOL_CRC(zcrypt_send_ep11_cprb, 0xfa128312, "");
SYMBOL_CRC(zcrypt_device_status_mask_ext, 0x9032dd84, "");
SYMBOL_CRC(zcrypt_device_status_ext, 0xa54284be, "");
SYMBOL_CRC(zcrypt_wait_api_operational, 0xa502c213, "");
SYMBOL_CRC(zcrypt_card_alloc, 0xbd18c035, "");
SYMBOL_CRC(zcrypt_card_free, 0x6e73f674, "");
SYMBOL_CRC(zcrypt_card_get, 0xaa6688f3, "");
SYMBOL_CRC(zcrypt_card_put, 0x27264b87, "");
SYMBOL_CRC(zcrypt_card_register, 0xd57c7652, "");
SYMBOL_CRC(zcrypt_card_unregister, 0xffb19cc3, "");
SYMBOL_CRC(zcrypt_queue_alloc, 0x8ccb2402, "");
SYMBOL_CRC(zcrypt_queue_free, 0x7a4d9371, "");
SYMBOL_CRC(zcrypt_queue_get, 0xef70d84f, "");
SYMBOL_CRC(zcrypt_queue_put, 0x5413f190, "");
SYMBOL_CRC(zcrypt_queue_register, 0x4ebeb512, "");
SYMBOL_CRC(zcrypt_queue_unregister, 0xf334a6f2, "");
SYMBOL_CRC(cca_check_secaeskeytoken, 0x41df3fdb, "");
SYMBOL_CRC(cca_check_secaescipherkey, 0x9b09bf46, "");
SYMBOL_CRC(cca_check_sececckeytoken, 0x8adb8df5, "");
SYMBOL_CRC(cca_genseckey, 0x5e050fdf, "");
SYMBOL_CRC(cca_clr2seckey, 0x9992a66f, "");
SYMBOL_CRC(cca_sec2protkey, 0x52190334, "");
SYMBOL_CRC(cca_gencipherkey, 0xfa8fdfb8, "");
SYMBOL_CRC(cca_clr2cipherkey, 0x9f696841, "");
SYMBOL_CRC(cca_cipher2protkey, 0xc3ee9fa0, "");
SYMBOL_CRC(cca_ecc2protkey, 0xec693119, "");
SYMBOL_CRC(cca_query_crypto_facility, 0xc20af440, "");
SYMBOL_CRC(cca_get_info, 0x314aed2b, "");
SYMBOL_CRC(cca_findcard, 0x2dc30fe9, "");
SYMBOL_CRC(cca_findcard2, 0x1360e3df, "");
SYMBOL_CRC(ep11_kb_wkvp, 0x1816924c, "");
SYMBOL_CRC(ep11_check_aes_key_with_hdr, 0x2339e553, "");
SYMBOL_CRC(ep11_check_ecc_key_with_hdr, 0x91b730ad, "");
SYMBOL_CRC(ep11_check_aes_key, 0xb9cfe69c, "");
SYMBOL_CRC(ep11_get_card_info, 0xee077284, "");
SYMBOL_CRC(ep11_get_domain_info, 0xc0c976b6, "");
SYMBOL_CRC(ep11_genaeskey, 0x592d3146, "");
SYMBOL_CRC(ep11_clr2keyblob, 0x59256070, "");
SYMBOL_CRC(ep11_kblob2protkey, 0x303a7dd3, "");
SYMBOL_CRC(ep11_findcard2, 0x274ee02a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x09b98b19, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2b883940, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x58f31f10, "hwrng_unregister" },
	{ 0x77bc13a0, "strim" },
	{ 0x21a93204, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xde35b82a, "trace_raw_output_prep" },
	{ 0x12645550, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x22fb0260, "__trace_trigger_soft_disabled" },
	{ 0x985a279b, "trace_event_printf" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5d46b4f, "debug_set_level" },
	{ 0x722b55ff, "debug_register" },
	{ 0x2c4dd371, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc75747d3, "bpf_trace_run2" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x71266c57, "get_device" },
	{ 0xee83468a, "ap_bus_force_rescan" },
	{ 0x163c90d7, "class_create_file_ns" },
	{ 0x711e1491, "ap_perms" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfbd0eec3, "hwrng_register" },
	{ 0x24248a27, "trace_event_buffer_commit" },
	{ 0x7bd7dfd0, "ap_test_config_usage_domain" },
	{ 0x92997ed8, "_printk" },
	{ 0xd5e90454, "ap_domain_index" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xbdd077ea, "put_device" },
	{ 0x6ac983c7, "__kmalloc_large_noprof" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x4a93ea70, "module_put" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x4c6d0076, "cdev_add" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xae2cc1ed, "perf_trace_run_bpf_submit" },
	{ 0x7f00bd24, "ap_wait_apqn_bindings_complete" },
	{ 0xb3e210b7, "bpf_trace_run5" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x252941ae, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd4bf0bed, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x6ba82a1a, "sysfs_create_group" },
	{ 0x24c06975, "ap_queue_message" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb0449e42, "__debug_sprintf_event" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x947cb6f0, "ap_cancel_message" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xdc42a091, "device_register" },
	{ 0x293800c3, "device_match_devt" },
	{ 0x970f17a7, "ap_parse_mask_str" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe6de92dc, "misc_register" },
	{ 0x89f5431f, "ap_send_online_uevent" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf8a653ab, "ap_flush_queue" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2c177973, "sysfs_remove_group" },
	{ 0xf9c1b08c, "debug_unregister" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x70f81b56, "ap_max_msg_size" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9957e9ef, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0x562b9be5, "ap_test_config_ctrl_domain" },
	{ 0x4adf4fe7, "device_match_name" },
	{ 0x5003d52a, "ap_perms_mutex" },
	{ 0xb084d362, "ap_is_se_guest" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x592ac0d3, "stream_open" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xc316f7c9, "debug_sprintf_view" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x46477450, "debug_register_view" },
	{ 0x8c0c1c78, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x61a464e0, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x7812675c, "cdev_init" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0x8928a893, "class_remove_file_ns" },
	{ 0xd793047d, "cdev_del" },
	{ 0x6feaacb8, "class_find_device" },
	{ 0xde8c843d, "ap_queue_usable" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F1533AA4F83D07640688D05");
MODULE_INFO(rhelversion, "9.99");
