#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x8598479f, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x675eadf2, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x9fe0d9e9, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x0325e99e, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x0c1b734d, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x288d3811, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x58ac78fe, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xe514cb25, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xfa35f45f, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x93df829b, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xcd392f17, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x30932875, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x6358954f, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xd1fc8874, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x86042a23, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xeac47593, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x2ccaa8d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x56112330, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xf3e61d04, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x66ee8403, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x7cf7ace7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x79ebf1ac, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xd8584ddd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xe0e42189, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x074f3174, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x41f27686, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x8ad85565, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x46c5676c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xc113aef0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xf2f18d16, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x76563238, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xb8878ec2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x8723dbec, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x6f561f2e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x18d8c1fe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x38bfa05d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xc4bf01fc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x643afe4c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xb40ef46e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x75e1c462, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x7b35a029, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x6dcb011f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x5dcda64d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x3599162f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x37a6fe4e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x911575bb, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xac6e2302, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x0fd80e57, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x921e3661, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xe03be88a, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x42a8fcdc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x03140761, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x0bf53d6c, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x21b207cd, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x43fa448e, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x27b35886, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x40fb5a5e, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x427258e9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x850fbcb3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x5f47c049, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xa9714fef, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xde7d78fe, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x4950ca70, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x9aca092d, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x553ba9a0, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x3bd6fce2, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x062c4015, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xb266ddbe, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x201773c1, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xa6f6e319, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xdae8254c, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xe4a73ed4, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xcce759fc, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x8573a394, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x2f7740ca, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x8bcf5ba7, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xc6d81232, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xa046ee90, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xf458b90d, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xbd39136b, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x0f5f43e7, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x432a53d0, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xd4a53dfc, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xc3597075, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x566d074f, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x43254a41, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x6ac982df, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x5ef68baa, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x9bb7f6c9, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x761bc9f1, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xbaec5265, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x9d0afd89, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xf4453a5c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x985c5bda, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x1385cdf8, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x99f5ee41, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x5ed8364a, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xc077c19f, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xe045619c, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x3717b555, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51248db1, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x1486d6e0, "svc_generic_rpcbind_set" },
	{ 0x4cd0b7dd, "nfs_clone_server" },
	{ 0x32286f69, "nfs_access_add_cache" },
	{ 0xfdb06137, "filemap_fdatawrite" },
	{ 0x23238fe1, "nfs_show_stats" },
	{ 0xf5966095, "nfs_server_remove_lists" },
	{ 0x56c4fdaa, "shrinker_alloc" },
	{ 0x93b30cd8, "nfs42_ssc_unregister" },
	{ 0x3a8f7c25, "generic_listxattr" },
	{ 0x09b98b19, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x337045fc, "vmemmap" },
	{ 0xb5d9d423, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc4e9196f, "clear_inode" },
	{ 0x117c5c13, "inode_to_bdi" },
	{ 0x68499df9, "bpf_trace_run4" },
	{ 0xfd3af461, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0x804d5d51, "param_ops_uint" },
	{ 0xdfe6919e, "user_revoke" },
	{ 0xe600a17e, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x80511a4c, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x562dbb40, "nfs_mark_client_ready" },
	{ 0x6e01156c, "rpc_clnt_probe_trunked_xprts" },
	{ 0x21ea135d, "nfs_pageio_reset_read_mds" },
	{ 0x0961f971, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x2b9a7d1f, "rpc_shutdown_client" },
	{ 0x5337a81c, "svc_bind" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x4cc33dab, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0x55f5f4e7, "nfs_free_inode" },
	{ 0x1cd20a4b, "nfs_access_zap_cache" },
	{ 0xc58d359e, "nfs_sb_deactive" },
	{ 0xbce9320a, "nfs_wb_all" },
	{ 0xfd72c10a, "__break_lease" },
	{ 0x81cd29a3, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xf191c4ea, "svc_recv" },
	{ 0x881396e9, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xb8ec95f2, "xdr_inline_decode" },
	{ 0xbbee71bd, "nfs_pageio_init_read" },
	{ 0xde35b82a, "trace_raw_output_prep" },
	{ 0x5f2a1128, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x196c75e9, "nfs_init_commit" },
	{ 0xd4b08917, "nfs_commitdata_release" },
	{ 0xd6e718e2, "bpf_trace_run6" },
	{ 0x30fe4daa, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xaf49a43c, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x22fb0260, "__trace_trigger_soft_disabled" },
	{ 0x8d53bf66, "nfs_mknod" },
	{ 0x4d94f1f1, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xfdaf16e5, "nfs4_label_alloc" },
	{ 0x84a7f483, "rpc_localaddr" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x985a279b, "trace_event_printf" },
	{ 0x85b0cead, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x426641f8, "nfs_lock" },
	{ 0xe3e3dfb9, "unregister_key_type" },
	{ 0x4bbc6145, "nfs_client_init_is_complete" },
	{ 0x10dfa928, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x353755fe, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x2c4dd371, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xd50afc3e, "ihold" },
	{ 0xb2e1b681, "truncate_pagecache_range" },
	{ 0x59b95a0d, "rpc_peeraddr" },
	{ 0x037a0cba, "kfree" },
	{ 0x363a0b52, "invalidate_inode_pages2_range" },
	{ 0x5daa3b85, "nfs_post_op_update_inode" },
	{ 0x8c30f4db, "svc_exit_thread" },
	{ 0x2ebc67c6, "iput" },
	{ 0xe63f8063, "xdr_set_pagelen" },
	{ 0x25f36706, "nfs_pgio_header_free" },
	{ 0x2cf4af54, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xf797f587, "logfc" },
	{ 0x41c84cf6, "nfs_pgio_header_alloc" },
	{ 0x40a927b0, "iter_file_splice_write" },
	{ 0xe8cab414, "rpc_pton" },
	{ 0x776a79b8, "nfs_sb_active" },
	{ 0x3a38179f, "mod_node_page_state" },
	{ 0x062aa0b9, "rpc_ntop" },
	{ 0x9caaa268, "rpc_wake_up_queued_task" },
	{ 0xc75747d3, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x3860a007, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xf7346eeb, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x73dc4334, "_copy_from_pages" },
	{ 0x22595269, "__module_get" },
	{ 0xa9a3e9ca, "rpc_task_release_transport" },
	{ 0x009856e2, "xdr_page_pos" },
	{ 0x412b1c8b, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xe0124d68, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb9634204, "key_instantiate_and_link" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x7682d6dd, "xdr_read_pages" },
	{ 0x065994f1, "xdr_encode_opaque_fixed" },
	{ 0x3bedf44d, "register_key_type" },
	{ 0x18e6b8f6, "rpc_sleep_on" },
	{ 0x03517286, "rpc_run_task" },
	{ 0xd23eab91, "nfs_pageio_resend" },
	{ 0x798dcdaf, "keyring_alloc" },
	{ 0xbcdef72e, "vfs_setpos" },
	{ 0x238eebd9, "nfs_create" },
	{ 0x0b2e2542, "complete_request_key" },
	{ 0xb0856e9f, "__put_cred" },
	{ 0xd1d1ac22, "nfs_update_delegated_mtime" },
	{ 0xf617fa6b, "nfs_statfs" },
	{ 0x8c86f8c5, "wake_up_process" },
	{ 0x8f5e6182, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xcda96e03, "splice_file_range" },
	{ 0x36312754, "rpc_max_bc_payload" },
	{ 0x24248a27, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x9b49a8de, "nfs_local_probe_async" },
	{ 0x9b217e50, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x5a1ae5ea, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe19b459b, "nfs_mkdir" },
	{ 0xfeebf234, "nfs_revalidate_inode" },
	{ 0x9a022e73, "inode_newsize_ok" },
	{ 0xc74ae242, "nfs_file_mmap" },
	{ 0x5eea78bc, "nfs_get_lock_context" },
	{ 0x8d4d114a, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x57ba3d79, "nfs_set_cache_invalid" },
	{ 0x24583e36, "rpc_release_client" },
	{ 0xf97567a8, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4599423b, "xdr_enter_page" },
	{ 0x18cfaa94, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x8963e204, "unregister_sysctl_table" },
	{ 0xb90852d2, "nfs_generic_pgio" },
	{ 0x0d83a0a0, "make_kuid" },
	{ 0x45f1ccb5, "truncate_inode_pages_final" },
	{ 0x6cc0767c, "generic_setlease" },
	{ 0x6ac983c7, "__kmalloc_large_noprof" },
	{ 0xa5f026af, "xprt_destroy_backchannel" },
	{ 0xc41306dd, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x382ee9d4, "nfs_scan_commit_list" },
	{ 0x9d25f0a1, "xdr_stream_decode_string_dup" },
	{ 0x12238cac, "nfs_commit_inode" },
	{ 0xab557287, "shrinker_register" },
	{ 0x78c617fb, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xa5b54f19, "rpc_destroy_pipe_data" },
	{ 0x714c3623, "nfs_get_client" },
	{ 0xca76878b, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0x27728a13, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2dffa63c, "nfs_atomic_open" },
	{ 0xafa7e9db, "rpc_pipe_generic_upcall" },
	{ 0xdaba49e0, "nfs_file_fsync" },
	{ 0x4a93ea70, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc466bd13, "mntput" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf5eb982c, "nfs_put_lock_context" },
	{ 0x109e9064, "nfs_rename" },
	{ 0xf91227ab, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb27be779, "nfs_sysfs_link_rpc_client" },
	{ 0xca1b484f, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0xfa773927, "nfs_show_options" },
	{ 0xde0eb39a, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x74437e31, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xe4bea234, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xaf7e42ce, "get_nfs_open_context" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xae2cc1ed, "perf_trace_run_bpf_submit" },
	{ 0x927b043a, "nfs_clear_verifier_delegated" },
	{ 0xd323cbc1, "nfs_sysfs_add_server" },
	{ 0xd7c5a85c, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x8c5ddabb, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xeace76b9, "nfs_do_submount" },
	{ 0x67efbe02, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0xc99dd98c, "request_key_with_auxdata" },
	{ 0x7364af92, "rpc_clone_client_set_auth" },
	{ 0x0d053500, "rpc_clone_client" },
	{ 0x61d12bcc, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x5c40c931, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x82165a73, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xe86f5f9b, "user_describe" },
	{ 0x32c05b6c, "put_fs_context" },
	{ 0x00f74220, "nfs_retry_commit" },
	{ 0x7d3657ec, "nfs4_dentry_operations" },
	{ 0x385f9bc9, "__module_put_and_kthread_exit" },
	{ 0x26fa62aa, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x1901f430, "nfs_client_for_each_server" },
	{ 0x28d926ff, "nfs_clear_inode" },
	{ 0x0ea79b59, "rpc_sleep_on_priority" },
	{ 0x7dc983df, "nfs_invalidate_atime" },
	{ 0xb3e210b7, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xda14662c, "nfs_umount_begin" },
	{ 0x7938e030, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x507a1724, "nfs_pageio_reset_write_mds" },
	{ 0x654bb159, "kmem_cache_free" },
	{ 0xcf7e5973, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8a49bbc5, "xdr_stream_subsegment" },
	{ 0xa32187c9, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x843e78fa, "nfs_fscache_open_file" },
	{ 0xc96e725d, "from_kgid" },
	{ 0x252941ae, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8bfc1521, "nfs_write_inode" },
	{ 0x618a8a3e, "nfs_request_remove_commit_list" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x6388e447, "rpc_wake_up_first" },
	{ 0x158dcdeb, "alloc_nfs_open_context" },
	{ 0xe289e845, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe7986ea8, "vfs_parse_fs_param" },
	{ 0x076bda51, "nfs_path" },
	{ 0x7b3767a9, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x2d9a1176, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x601a3846, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x84928131, "rpc_sleep_on_timeout" },
	{ 0x0714c7e5, "list_lru_count_one" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xc8860d86, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6643d754, "rpc_call_start" },
	{ 0xe6fa8f97, "xprt_setup_backchannel" },
	{ 0x8daadf4b, "bpf_trace_run1" },
	{ 0xcd01f336, "svc_create" },
	{ 0xae1a511f, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x17cd341d, "nfs_file_set_open_context" },
	{ 0x14393e5d, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x30f570ab, "rpc_call_sync" },
	{ 0x15538aa6, "from_kuid" },
	{ 0x5311fed6, "rpc_put_task_async" },
	{ 0x187df52a, "rpc_prepare_reply_pages" },
	{ 0xcb3dd3a5, "rpc_queue_upcall" },
	{ 0x158dc8d3, "nfs_free_server" },
	{ 0xecbb7316, "fc_mount" },
	{ 0x9bd0c00e, "register_sysctl_sz" },
	{ 0xb6f7dc60, "nfs_setattr" },
	{ 0x56d74f63, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1043983a, "nfs4_fs_type" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x7431989f, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xc53c57c5, "rpc_delay" },
	{ 0xa24a1db3, "nfs_flock" },
	{ 0xfb007c58, "__list_lru_init" },
	{ 0xce068d59, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x548ad448, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x52aa759f, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xe8b9b1b6, "rpc_exit" },
	{ 0xcd504cde, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x54631801, "__kmem_cache_create_args" },
	{ 0x0ea0c33c, "rpc_remove_pipe_dir_object" },
	{ 0xf25833bf, "nfs_may_open" },
	{ 0x6cd53887, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0xbbe13a96, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0x72b79f5f, "xdr_reserve_space" },
	{ 0x4bfe0783, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0x2a8185be, "kthread_create_on_node" },
	{ 0xd5127d6a, "list_lru_isolate" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xfc98774a, "nfs_rmdir" },
	{ 0xd19ad8ea, "bpf_trace_run3" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0xf107c982, "nfs_filemap_write_and_wait_range" },
	{ 0xa875b348, "rpc_mkpipe_dentry" },
	{ 0xbc2ebef1, "alloc_file_pseudo" },
	{ 0xf6e3528c, "rpc_mkpipe_data" },
	{ 0x5d787581, "rpc_add_pipe_dir_object" },
	{ 0x6617b4d8, "igrab" },
	{ 0x19f18bf2, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x988951d6, "nfs_async_iocounter_wait" },
	{ 0x23f0aa93, "nfs_file_read" },
	{ 0x9957e9ef, "trace_event_buffer_reserve" },
	{ 0x8a680203, "crc32_le_arch" },
	{ 0x5bd78786, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x4c6b6a14, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xcf830a75, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6ca1ac85, "nfs_setattr_update_inode" },
	{ 0x76548358, "nfs_instantiate" },
	{ 0xf38f4c17, "init_user_ns" },
	{ 0x2fd757db, "rpc_uaddr2sockaddr" },
	{ 0x756a24f0, "user_read" },
	{ 0xf8097a5f, "rpc_restart_call" },
	{ 0x7b76fa77, "request_key_tag" },
	{ 0x1a0d0ada, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0xd4206e22, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x5287e98a, "svc_xprt_destroy_all" },
	{ 0xcb6e393d, "generic_key_instantiate" },
	{ 0xbb7f313a, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x2f898709, "nfs_link" },
	{ 0xc308db6b, "__folio_put" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x380a9a11, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xbaa068b3, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0b3760e3, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3bd775f2, "xdr_stream_move_subsegment" },
	{ 0x8e29acf6, "put_rpccred" },
	{ 0x0294c6a2, "nfs_callback_nr_threads" },
	{ 0xfe112d72, "nfs_post_op_update_inode_force_wcc" },
	{ 0x6b9a7db1, "nfs_pgheader_init" },
	{ 0xdb64e5cb, "put_nfs_open_context" },
	{ 0xcc0e2364, "nfs_show_path" },
	{ 0xfe38cde6, "nfs_show_devname" },
	{ 0xbecffa3b, "nfs_permission" },
	{ 0x086b4e2d, "nfs_initiate_commit" },
	{ 0xa98716ff, "truncate_inode_pages_range" },
	{ 0xf210416c, "__put_user_ns" },
	{ 0xccd852d1, "alloc_pages_noprof" },
	{ 0xb2a1ecf3, "cred_fscmp" },
	{ 0x213a4c94, "rpc_unlink" },
	{ 0x62915c92, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4fb174ee, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x0dc0ff08, "node_data" },
	{ 0x10f1de0a, "nfs_probe_server" },
	{ 0xabf978ed, "nfs_setsecurity" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xc23872d3, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xf8c2cee0, "rpc_clnt_test_and_add_xprt" },
	{ 0x68f8dee4, "file_ra_state_init" },
	{ 0x2904c1aa, "nfs_force_lookup_revalidate" },
	{ 0x7f273b67, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa96588fb, "rpc_clnt_add_xprt" },
	{ 0xa454dc9a, "dget_parent" },
	{ 0xc2af192b, "from_kuid_munged" },
	{ 0x69bc1743, "prepare_kernel_cred" },
	{ 0x6d4a180c, "nfs_alloc_server" },
	{ 0xacd45b9e, "rpc_call_async" },
	{ 0xabf221ce, "security_dentry_init_security" },
	{ 0x77e63019, "filemap_write_and_wait_range" },
	{ 0x48764d74, "list_lru_del_obj" },
	{ 0x26746c72, "nfs_server_insert_lists" },
	{ 0x83993887, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaf6c0f5f, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x0e1dd28d, "rpc_init_pipe_dir_object" },
	{ 0x362fcab2, "bpf_trace_run7" },
	{ 0x06a20d20, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x138f9e9c, "nfs_init_server_rpcclient" },
	{ 0x01522631, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc062b996, "rpc_set_connect_timeout" },
	{ 0x43febd07, "rpcauth_create" },
	{ 0xf51a6a19, "xdr_stream_pos" },
	{ 0x8c0c1c78, "__kvmalloc_node_noprof" },
	{ 0x8c3a1f5f, "key_set_timeout" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xa0389716, "svc_xprt_create" },
	{ 0x04ec3eee, "nfs42_ssc_register" },
	{ 0x77df8814, "rpc_wait_for_completion_task" },
	{ 0x52b6ba65, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x72c04966, "rpc_num_bc_slots" },
	{ 0x3065df4d, "nfs_alloc_inode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0x9d927172, "security_inode_listsecurity" },
	{ 0x4445cac7, "nfs_fhget" },
	{ 0xfcc121bd, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x343e0ce6, "locks_copy_lock" },
	{ 0x73c44bf5, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x8e01cc5f, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x500e5fa0, "nfs_set_verifier" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "0870940DB0617A088F87D79");
MODULE_INFO(rhelversion, "9.99");
