#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0xa0001f41, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0xe53d7989, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x97b945e4, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x82ca3d47, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x1aa36bd0, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x182f4bf3, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0x4de3d192, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x342c319d, "_gpl");
SYMBOL_CRC(qeth_xmit, 0xd424deef, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x1abde57f, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0x3ee95c6f, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x2ee9019c, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xc1a1b176, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x3f7481ca, "_gpl");
SYMBOL_CRC(qeth_poll, 0xe8b96359, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x9a0170fa, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xa79fbcc3, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x1256a0ec, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0xaf0d0053, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x29cbce51, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xf955e50e, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x18c6fc0f, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x9dc0d9b4, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x720c35b1, "_gpl");
SYMBOL_CRC(qeth_features_check, 0xe3c06bce, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0xed059794, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x444a1ce2, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0xafe77c78, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x6e1990c6, "_gpl");
SYMBOL_CRC(qeth_open, 0x2c893c11, "_gpl");
SYMBOL_CRC(qeth_stop, 0x3f0279f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbba4ac13, "ccw_device_get_cssid" },
	{ 0x68f06025, "napi_alloc_skb" },
	{ 0xd85d2805, "alloc_etherdev_mqs" },
	{ 0xa6f4c15f, "ccw_device_halt" },
	{ 0x88cf3458, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xd668ffde, "qdio_shutdown" },
	{ 0xb352d2d5, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7fbe5e69, "ccwgroup_set_offline" },
	{ 0x337045fc, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb3f4b966, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc91c974, "skb_copy_bits" },
	{ 0x02ed5a03, "qdio_allocate" },
	{ 0x0410e433, "qdio_inspect_output_queue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6cc5f15, "skb_put" },
	{ 0x53b668fd, "skb_tstamp_tx" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xaaaf719e, "netdev_update_features" },
	{ 0x7b516d83, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7108c78d, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xd5d46b4f, "debug_set_level" },
	{ 0xef8a2540, "register_service_level" },
	{ 0x722b55ff, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2b431fc9, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x413ababc, "seq_lseek" },
	{ 0xe581a71f, "netif_napi_add_weight_locked" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x204e8e03, "qdio_add_bufs_to_output_queue" },
	{ 0x71266c57, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x8daac914, "ether_setup" },
	{ 0x0bb01026, "qdio_get_ssqd_desc" },
	{ 0xda07b9b3, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xef2adf5e, "pskb_expand_head" },
	{ 0x8c86f8c5, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xfce0ed0a, "dev_addr_mod" },
	{ 0xf33d712f, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x5714fca4, "napi_complete_done" },
	{ 0xa29e1270, "alloc_netdev_mqs" },
	{ 0xd8dd0ca8, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x77f5dc4c, "unregister_service_level" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xd65b5df8, "qdio_inspect_input_queue" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbdd077ea, "put_device" },
	{ 0xa9cbd749, "__napi_schedule" },
	{ 0x8c9c3f90, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x805609b5, "netif_device_detach" },
	{ 0xca76878b, "__free_pages" },
	{ 0x1211a26b, "_dev_info" },
	{ 0xe03755ef, "napi_gro_receive" },
	{ 0xed01eed4, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xbb0a4bcc, "ccwgroup_probe_ccwdev" },
	{ 0xac751b20, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9fbdf3c1, "_dev_err" },
	{ 0xc1e34e47, "softnet_data" },
	{ 0xcd93091e, "ccw_device_get_id" },
	{ 0x458c5fb7, "__root_device_register" },
	{ 0x5b52de77, "ccw_device_get_ciw" },
	{ 0xa96550b3, "netif_set_real_num_tx_queues" },
	{ 0x3aec9fc1, "sk_skb_reason_drop" },
	{ 0x9b86f852, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xf8734d02, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x46f57e40, "skb_push" },
	{ 0x654bb159, "kmem_cache_free" },
	{ 0xef018c80, "ccwgroup_driver_register" },
	{ 0x0a6035ad, "debugfs_remove" },
	{ 0xe52800bd, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x5b77760c, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb0449e42, "__debug_sprintf_event" },
	{ 0xcede6b85, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x6def9111, "netif_tx_stop_all_queues" },
	{ 0xeff6de0f, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x3d791d1e, "ccw_device_set_offline" },
	{ 0x54e58554, "_dev_warn" },
	{ 0x7dd0d25f, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5611dc7e, "netif_schedule_queue" },
	{ 0x0b159504, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xce068d59, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x4f49f5d3, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3edaf96d, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x3cd6eed3, "__pskb_pull_tail" },
	{ 0xbab69551, "__netdev_alloc_skb" },
	{ 0x54631801, "__kmem_cache_create_args" },
	{ 0x3c009b64, "__netif_napi_del_locked" },
	{ 0xe798236d, "jiffies" },
	{ 0x2a8185be, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4097f192, "debug_hex_ascii_view" },
	{ 0xf9c1b08c, "debug_unregister" },
	{ 0x85ccc38f, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x3732bd76, "ccwgroup_driver_unregister" },
	{ 0x71571480, "ccwgroup_remove_ccwdev" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83f9db3a, "ccw_device_get_iid" },
	{ 0x34af9a92, "debug_event_common" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83949318, "netif_carrier_off" },
	{ 0x4b3cf3e5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8364bedf, "ccw_device_set_online" },
	{ 0x6ed58c4b, "netdev_set_num_tc" },
	{ 0xf94c47a4, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0x46b4af96, "debugfs_create_file_full" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x4ed64861, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x73bf7b95, "qdio_add_bufs_to_input_queue" },
	{ 0x5a36d69a, "skb_add_rx_frag_netmem" },
	{ 0x527f6cc6, "__napi_schedule_irqoff" },
	{ 0x402ee643, "napi_schedule_prep" },
	{ 0x585649e9, "napi_consume_skb" },
	{ 0xc316f7c9, "debug_sprintf_view" },
	{ 0x2532f31f, "qdio_stop_irq" },
	{ 0xf5cdd48e, "napi_disable" },
	{ 0x6df58c5e, "qdio_free" },
	{ 0xd87ccef6, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x662acb88, "debugfs_create_dir" },
	{ 0x46477450, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0xd84574b3, "ccw_driver_unregister" },
	{ 0x79f839a1, "skb_clone_tx_timestamp" },
	{ 0xed811339, "qdio_activate" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x1622ac2d, "ethtool_op_get_ts_info" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x73c44bf5, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "3B7DDCE882ADA72FA06FE30");
MODULE_INFO(rhelversion, "9.99");
