#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x54e7817e, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x01fabed8, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x417f5159, "_gpl");
SYMBOL_CRC(fat_scan, 0xeb8003f1, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xeb1abc38, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x9a6431ae, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x21f0e708, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xfc72fa01, "_gpl");
SYMBOL_CRC(fat_getattr, 0xd7e49a0d, "_gpl");
SYMBOL_CRC(fat_setattr, 0xd071a87c, "_gpl");
SYMBOL_CRC(fat_attach, 0xfbe280ce, "_gpl");
SYMBOL_CRC(fat_detach, 0x224d4df6, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x804a06b6, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x1c89e267, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x9afca90d, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xa31d9bba, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xe03e2fad, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xb81231f3, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x712b5792, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0xe1ac6df9, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x0af0ab1a, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x89375adc, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xbd39cc88, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x4e0e8f79, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x9e137895, "_gpl");
SYMBOL_CRC(fat_update_time, 0xbcf20e89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdb06137, "filemap_fdatawrite" },
	{ 0x60f21609, "generic_fillattr" },
	{ 0xc5e9f9da, "setattr_prepare" },
	{ 0x4ebd74d4, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x1677bd7d, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x93ce49eb, "make_vfsgid" },
	{ 0x5091e9b4, "blk_start_plug" },
	{ 0xc4e9196f, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2ead04bc, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd86a4c97, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x4de97804, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x2b5de49e, "mark_buffer_dirty" },
	{ 0x7a0bfb6a, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x216912eb, "__find_get_block" },
	{ 0x9e9e9843, "filemap_fdatawrite_range" },
	{ 0x670c6718, "inode_needs_sync" },
	{ 0x50c6a370, "__blockdev_direct_IO" },
	{ 0x1d032fa0, "d_make_root" },
	{ 0xcdd9d3ef, "__bforget" },
	{ 0x9207010a, "sb_set_blocksize" },
	{ 0x11481608, "block_truncate_page" },
	{ 0x8f14283b, "write_dirty_buffer" },
	{ 0xf83fc779, "sync_filesystem" },
	{ 0x14624abf, "fsnotify" },
	{ 0xe3c4751c, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x84d1c4e6, "from_vfsuid" },
	{ 0xd260bf34, "inode_dio_wait" },
	{ 0xaa8a319e, "iunique" },
	{ 0x037a0cba, "kfree" },
	{ 0xbca3214d, "cont_write_begin" },
	{ 0x2ebc67c6, "iput" },
	{ 0xffa74c5c, "fs_param_is_enum" },
	{ 0x010f0d90, "fs_param_is_s32" },
	{ 0x40a927b0, "iter_file_splice_write" },
	{ 0xfd91e0ce, "fs_param_is_bool" },
	{ 0xf407029b, "generic_file_write_iter" },
	{ 0xc01d90ed, "sync_inode_metadata" },
	{ 0xaaf42486, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x2464524c, "fs_param_is_u32" },
	{ 0x4c0cd6b6, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xf7ff4ebe, "block_invalidate_folio" },
	{ 0x88779814, "__breadahead" },
	{ 0x33e5eecf, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xc1774207, "load_nls" },
	{ 0x2c98bbae, "generic_cont_expand_simple" },
	{ 0x45f1ccb5, "truncate_inode_pages_final" },
	{ 0x9c1f35c9, "generic_file_mmap" },
	{ 0x8e4a6deb, "sync_mapping_buffers" },
	{ 0xded99320, "ilookup" },
	{ 0x65850a98, "invalidate_inode_buffers" },
	{ 0x5457b5b6, "blk_finish_plug" },
	{ 0x52aa93b3, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7d5d003c, "mnt_drop_write_file" },
	{ 0x53be9cec, "fs_param_is_gid" },
	{ 0xada4c155, "inode_init_once" },
	{ 0xbd7426f1, "compat_ptr_ioctl" },
	{ 0x3292c8a2, "__fsnotify_parent" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x866d332f, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xcec8f27f, "generic_file_read_iter" },
	{ 0xed4aaf5a, "inode_maybe_inc_iversion" },
	{ 0x0ec9ab18, "truncate_pagecache" },
	{ 0xd9375257, "sync_dirty_buffer" },
	{ 0x7c0ae2ae, "setattr_copy" },
	{ 0x101c9ff0, "__wait_on_buffer" },
	{ 0x4c46dfaf, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x880a3870, "kmem_cache_alloc_lru_noprof" },
	{ 0x654bb159, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0850e7f8, "mpage_writepages" },
	{ 0x62eec1d5, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xddcc837a, "from_vfsgid" },
	{ 0x24285fad, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x101a62c5, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xab493a53, "__bread_gfp" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x96fe78ea, "block_dirty_folio" },
	{ 0x4e9946f1, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd92ba8f7, "__insert_inode_hash" },
	{ 0x848f0af1, "buffer_migrate_folio" },
	{ 0xce068d59, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x54631801, "__kmem_cache_create_args" },
	{ 0x6cd53887, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x273f209d, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x818a1548, "generic_encode_ino32_fh" },
	{ 0x90169a40, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6617b4d8, "igrab" },
	{ 0xac36ce4f, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xab2dbb64, "mpage_readahead" },
	{ 0x4c6b6a14, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xf38f4c17, "init_user_ns" },
	{ 0x631c877f, "seq_write" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0x4b3cf3e5, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xad9d0d49, "__lock_buffer" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0xf9bec3e3, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8ecb7c85, "generic_fh_to_parent" },
	{ 0xc1194bda, "__fs_parse" },
	{ 0x5c7fdc1e, "filemap_splice_read" },
	{ 0xc2af192b, "from_kuid_munged" },
	{ 0x727ef84b, "__generic_file_fsync" },
	{ 0x90e66c7b, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x01522631, "__mark_inode_dirty" },
	{ 0xaa84e7b7, "generic_file_llseek" },
	{ 0x6462429e, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x530d00e8, "mark_buffer_dirty_inode" },
	{ 0x83201541, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0x8ad65a67, "inode_set_ctime_to_ts" },
	{ 0xa9ae03f8, "fs_param_is_uid" },
	{ 0x73c44bf5, "kmem_cache_destroy" },
	{ 0xefc3b645, "blkdev_issue_discard" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BBCB43EF6FD213BAB3E9C8");
MODULE_INFO(rhelversion, "9.99");
